## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name httpcore

%bcond_without tests

Name:           python-%{pypi_name}
Version:        1.0.9
Release:        %autorelease
Summary:        Minimal low-level HTTP client

License:        BSD-3-Clause
URL:            https://github.com/encode/httpcore
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
The HTTP Core package provides a minimal low-level HTTP client, which does
one thing only: Sending HTTP requests. It does not provide any high level
model abstractions over the API, does not handle redirects, multipart uploads,
building authentication headers, transparent HTTP caching, URL parsing, etc.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-trio
BuildRequires:  python3-pytest-httpbin
%endif

%description -n python3-%{pypi_name}
The HTTP Core package provides a minimal low-level HTTP client, which does
one thing only: Sending HTTP requests. It does not provide any high level
model abstractions over the API, does not handle redirects, multipart uploads,
building authentication headers, transparent HTTP caching, URL parsing, etc.

%pyproject_extras_subpkg -n python3-httpcore http2,socks

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x http2,socks,trio,asyncio

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l %{pypi_name}

%check
%if %{with tests}
%pytest -Wdefault
%else
%pyproject_check_import
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 1.0.9-2
- Rebuilt for Python 3.14

* Thu May 01 2025 Carl George <carlwgeorge@fedoraproject.org> - 1.0.9-1
- Update to version 1.0.9 rhbz#2362227

* Mon Apr 14 2025 Carl George <carlwgeorge@fedoraproject.org> - 1.0.8-1
- Update to version 1.0.8 rhbz#2359117
- Fix Python 3.14 AttributeError rhbz#2353138
- Enable tests on EPEL

* Thu Feb 27 2025 Carl George <carlwgeorge@fedoraproject.org> - 1.0.7-8
- Run an import check when tests are disabled

* Thu Feb 27 2025 Carl George <carlwgeorge@fedoraproject.org> - 1.0.7-7
- Remove duplicate license file

* Sat Jan 25 2025 Roman Inflianskas <rominf@pm.me> - 1.0.7-3
- Add http2 and socks extras

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Nov 17 2024 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.7-1
- UPdate to latest upstream release (closes rhbz#2326467)

* Tue Oct 01 2024 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.6-1
- Update to latest upstream release (closes rhbz#2315972)

* Wed Sep 04 2024 Miroslav Suchý <msuchy@redhat.com> - 1.0.5-4
- convert license to SPDX

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 1.0.5-2
- Rebuilt for Python 3.13

* Sun Apr 07 2024 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.5-1
- Update to latest upstream release 1.0.5 (closes rhbz#2264246)

* Mon Feb 05 2024 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.2-1
- Update to latest upstream release (closes rhbz#2249058)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Nov 04 2023 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.1-1
- Update to latest upstream release (closes rhbz#2238019)

* Sat Jul 29 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.17.3-1
- feat: update to 0.17.3 (fixes rhbz#2140663, rhbz#2171677)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 03 2023 Python Maint <python-maint@redhat.com> - 0.15.0-4
- Rebuilt for Python 3.12

* Mon Jul 03 2023 Miro Hrončok <miro@hroncok.cz> - 0.15.0-3
- Don't treat DeprecationWarnings as errors in tests

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Sep 15 2022 Fabian Affolter <mail@fabian-affolter.ch> - 0.15.0-1
- Update to latest upstream release 0.15.0 (closes rhbz#2087171)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.14.7-5
- Rebuilt for Python 3.11

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.14.7-4
- Bootstrap for Python 3.11

* Wed Mar 16 2022 Carl George <carl@george.computer> - 0.14.7-3
- Add missing conditional to go with last commit

* Sat Mar 05 2022 Carl George <carl@george.computer> - 0.14.7-2
- Conditionalize tests and clean up test build requirements

* Fri Mar 04 2022 Fabian Affolter <mail@fabian-affolter.ch> - 0.14.7-1
- Update to latest upstream release 0.14.7 (closes rhbz#2037405)

* Thu Mar 03 2022 Carl George <carl@george.computer> - 0.14.3-3
- Relax h11 dependency

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 07 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.14.3-1
- Update to latest upstream release 0.14.3 (closes rhbz#2022391)

* Tue Dec 07 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.13.7-2
- Enable tests

* Tue Sep 21 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.13.7-1
- Update to latest upstream release 0.13.7 (closes rhbz#2003602)

* Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.13.6-1
- * Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.13.6-1 -
  Update to latest upstream release 0.13.6 (rhbz#1952056)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.12.3-2
- Rebuilt for Python 3.10

* Fri Jan 29 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.3-1
- * Fri Jan 29 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.3-1 -
  Update to latest upstream release 0.12.2 (#1921813)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.2-2
- Add bugs to changelog

* Mon Nov 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.2-1
- * Mon Nov 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.2-1 -
  Enable dependency generator - Update to latest upstream release 0.12.2

* Sun Nov 08 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.1-1
- * Sun Nov 08 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.16.0-2 -
  Add LICENSE file (#1885754)

* Fri Oct 09 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.12.0-1
- 0.12.0

* Tue Sep 29 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.11.1-1
- * Wed Sep 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.11.1-1 -
  Update to latest upstream release 0.11.1 (#1883308)

* Wed Sep 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.11.0-1
- * Wed Sep 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.11.0-1 -
  Update to latest upstream release 0.11.0 (#1881374)

* Thu Sep 03 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.10.2-1
- * Thu Sep 03 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.10.2-1 -
  Update to latest upstream release 0.10.2 (rhbz#1875285)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jun 27 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.1-1
- * Fri Jun 05 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.1-1 -
  Initial package for Fedora
## END: Generated by rpmautospec
